## inputplug 0.2

=== Makefile ===
# This project is best built with mk-configure(7).
# To build the project, type `mkcmake`.

MKC_REQD        = 0.23.0

PROG            = inputplug

MAN             = inputplug.1

CLEANFILES      = ${MAN}

PKG_CONFIG_DEPS = x11 xext xi

MKC_CHECK_HEADERS  = ixp.h
MKC_CHECK_FUNCLIBS = ixp_mount:ixp

WARNS           = 2

VERSION         = 0.1

.SUFFIXES: .md .pod

.pod.md:
	pod2markdown < $< | sed -e 's, - , — ,g' \
	                        -e 's,^- ,* ,g'  \
	                        -e 's,man.he.net/man./,manpages.debian.org/cgi-bin/man.cgi?query=,g' \
	                        -e 's,\[\(<.*@.*>\)\](.*),\1,' > $@

.include <mkc.mk>

POD2MAN_FLAGS += -d 2013-12-07

=== debian/changelog ===
inputplug (0.2-2) unstable; urgency=low

  * Unbreak build on Debian GNU/Hurd.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 06 Jan 2014 01:48:36 +0100

inputplug (0.2-1) unstable; urgency=low

  * Initial release (Closes: #729736).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 07 Dec 2013 15:18:31 +0100

=== debian/control ===
Source: inputplug
Section: x11
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), mk-configure (>= 0.23.0), pkg-config, libxi-dev, libixp-dev
Standards-Version: 3.9.4
Homepage: http://bitbucket.org/andrew_shadoura/inputplug

Package: inputplug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XInput monitor
 inputplug is a daemon which connects to a running X server
 and monitors its XInput hierarchy change events, such as
 an input device being attached or removed, enabled or disable
 etc, and runs some command when these events happen.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=mkcmake

## inputplug 0.3~hg20141025

=== debian/changelog ===
inputplug (0.3~hg20141025-1) unstable; urgency=medium

  * New snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 25 Oct 2014 21:02:18 +0200

## inputplug 0.3~hg20150512

=== Makefile ===
--- 
+++ 
@@ -11,8 +11,10 @@
 
 PKG_CONFIG_DEPS = x11 xext xi
 
-MKC_CHECK_HEADERS  = ixp.h
-MKC_CHECK_FUNCLIBS = ixp_mount:ixp
+MKC_CHECK_HEADERS  = ixp.h bsd/libutil.h libutil.h
+MKC_CHECK_FUNCLIBS = ixp_mount:ixp pidfile_open:bsd pidfile_open:util
+
+CFLAGS_inputplug   = ${HAVE_FUNCLIB.pidfile_open:?-DHAVE_PIDFILE=1:}
 
 WARNS           = 2

=== debian/changelog ===
inputplug (0.3~hg20150512-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:29:10 +0000

inputplug (0.3~hg20150512-1) unstable; urgency=medium

  * New snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 15 Jun 2015 12:12:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: inputplug
 Section: x11
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 9), mk-configure (>= 0.23.0), pkg-config, libxi-dev, libixp-dev
 Standards-Version: 3.9.4
-Homepage: http://bitbucket.org/andrew_shadoura/inputplug
+Homepage: http://bitbucket.org/andrew_shadura/inputplug
 
 Package: inputplug
 Architecture: any

=== debian/watch ===
# watch control file for inputplug
# You can run the "uscan" command
# to check for upstream updates and more.

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.*\/(.*)$/inputplug-$1/  http://bitbucket.org/andrew_shadoura/inputplug/downloads ^.*(\d.+)\.tar\.bz2

## inputplug 0.3

=== Makefile ===
--- 
+++ 
@@ -9,16 +9,20 @@
 
 CLEANFILES      = ${MAN}
 
-PKG_CONFIG_DEPS = x11 xext xi
+MKC_REQUIRE_PKGCONFIG = xcb xcb-xinput
 
+MKC_REQUIRE_HEADERS = X11/extensions/XInput2.h
 MKC_CHECK_HEADERS  = ixp.h bsd/libutil.h libutil.h
-MKC_CHECK_FUNCLIBS = ixp_mount:ixp pidfile_open:bsd pidfile_open:util
+MKC_CHECK_FUNCLIBS = ixp_mount:ixp pidfile_open:bsd pidfile_open:util daemon
 
-CFLAGS_inputplug   = ${HAVE_FUNCLIB.pidfile_open:?-DHAVE_PIDFILE=1:}
+CFLAGS_inputplug   = \
+	${${HAVE_FUNCLIB.pidfile_open.bsd}:?-DHAVE_PIDFILE=1:} \
+	${${HAVE_FUNCLIB.pidfile_open.util}:?-DHAVE_PIDFILE=1:} \
+	${${HAVE_FUNCLIB.daemon}:?-DHAVE_DAEMON=1:}
 
 WARNS           = 2
 
-VERSION         = 0.1
+VERSION         = 0.3
 
 .SUFFIXES: .md .pod

=== debian/changelog ===
inputplug (0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #951985).
  * Update copyrights.
  * Update the homepage.
  * Update the watch file.
  * Use debhelper-compat 12.
  * Wrap and sort debian/control.
  * Build-depend on XCB.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 01 Mar 2020 15:39:47 +0100

=== debian/control ===
Source: inputplug
Section: x11
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libixp-dev,
 libxcb-xinput-dev,
 libxcb1-dev,
 libxi-dev,
 mk-configure (>= 0.23.0),
 pkgconf | pkg-config
Standards-Version: 3.9.4
Homepage: https://github.com/andrewshadura/inputplug

Package: inputplug
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: XInput monitor
 inputplug is a daemon which connects to a running X server
 and monitors its XInput hierarchy change events, such as
 an input device being attached or removed, enabled or disable
 etc, and runs some command when these events happen.

=== debian/watch ===
# watch control file for inputplug
# You can run the "uscan" command
# to check for upstream updates and more.
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/inputplug-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//  \
  https://github.com/andrewshadura/inputplug/tags .*/archive/v?(\d[^\s\-]*)\.tar\.gz

opts="mode=git, pgpmode=none, pretty=0.3+git%cd+%h, repack, compression=xz" \
 https://github.com/andrewshadura/inputplug.git \
 HEAD

## inputplug 0.4.0

=== debian/changelog ===
inputplug (0.4.0-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:40 +1100

inputplug (0.4.0-4) unstable; urgency=medium

  * Allow any x11rb versions between 0.8 and 1.0 (Closes: #1064490).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 26 Feb 2024 21:07:37 +0100

inputplug (0.4.0-3) unstable; urgency=medium

  [ Peter Michael Green ]
  * Provide compatibility with upcoming rust-nix and rust-x11rb updates:
    - Explicitly enable the "process" feature in nix dependency (needed
      for nix 0.27)
    - Use of u32::from on info.flags is a no-op with x11rb 0.10 and lower
      because flags is already a u32. With x11rb 0.13, this will convert
      the flags to a u32.
    Closes: #1064490.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 23 Feb 2024 11:01:01 +0100

inputplug (0.4.0-2) unstable; urgency=medium

  * Fix the copyright file.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Prevent 0 time from leaking into the packages (Closes: #991369).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 22 Jul 2021 12:08:15 +0200

inputplug (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the watch file.
  * Switch the packaging to use Cargo.
  * Bump Standards-Version to 4.5.1.
  * Add the Rust team as a co-maintainer.
  * Set Rules-Requires-Root: no.
  * Update copyright years.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 21 Jul 2021 14:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,25 @@
 Source: inputplug
 Section: x11
 Priority: optional
-Maintainer: Andrej Shadura <andrewsh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
+Uploaders:
+ Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Build-Depends:
- debhelper-compat (= 12),
- libixp-dev,
- libxcb-xinput-dev,
- libxcb1-dev,
- libxi-dev,
- mk-configure (>= 0.23.0),
+ debhelper-compat (= 13),
+ dh-cargo (>= 24),
+ cargo:native,
+ rustc:native,
+ libstd-rust-dev,
+ librust-anyhow-1.0+default-dev,
+ librust-nix-0+default-dev (>= 0.19.0-~~),
+ librust-pidfile-rs-0.1+default-dev,
+ librust-structopt-0.3+default-dev,
+ librust-x11rb-0+default-dev (>= 0.8.0-~~),
  pkgconf | pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 4.5.1
 Homepage: https://github.com/andrewshadura/inputplug
+Rules-Requires-Root: no
 
 Package: inputplug
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cargo

execute_after_dh_installdocs:
	touch -d@"$(SOURCE_DATE_EPOCH)" debian/*/usr/share/doc/*/*

override_dh_auto_test:
